Package org.apache.sling.caconfig.resource.impl.util

# Class ResourceEliminateDuplicatesIterator

java.lang.Object
org.apache.commons.collections4.iterators.FilterIterator<org.apache.sling.caconfig.resource.spi.ContextResource>
org.apache.sling.caconfig.resource.impl.util.ResourceEliminateDuplicatesIterator

All Implemented Interfaces:
  `Iterator<org.apache.sling.caconfig.resource.spi.ContextResource>`

public class ResourceEliminateDuplicatesIterator extends org.apache.commons.collections4.iterators.FilterIterator<org.apache.sling.caconfig.resource.spi.ContextResource>
Iterator that eliminates duplicate resources (having same path).

## Constructor Summary

Constructors
Constructor
Description
`ResourceEliminateDuplicatesIterator(Iterator<org.apache.sling.caconfig.resource.spi.ContextResource> iterator)`

## Method Summary

### Methods inherited from class org.apache.commons.collections4.iterators.FilterIterator

`getIterator, getPredicate, hasNext, next, remove, setIterator, setPredicate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ResourceEliminateDuplicatesIterator

public ResourceEliminateDuplicatesIterator(Iterator<org.apache.sling.caconfig.resource.spi.ContextResource> iterator)